Pill::Pill()
{
	settings	= Settings::Instance();
	totalFrames	= 0;
	lifetime	= 1;
	energyLevel	= 1;
	molecule	= 1;

	color[0] = 0.3f;
	color[1] = 0.3f;
	color[2] = 0.9f;
	color[3] = 0.0f; // what is this

	type = 3;
	isPicked = false;
}

void Pill::draw()
{
	myMotionState->m_graphicsWorldTrans.getOpenGLMatrix(position);
/*	btVector3 pos = myMotionState->m_graphicsWorldTrans.getOrigin();
	cerr << pos.getY() */
	
	glPushMatrix(); 
	glMultMatrixf(position);

			glColor4f( color[0], color[1], color[2], 1.0f );
			glScaled(halfExtent[0], halfExtent[1], halfExtent[2]);
			Displaylists::Instance()->call(1);

	glPopMatrix();
}

void Pill::createBody(btDynamicsWorld* m_dynamicsWorld, const btVector3& startOffset)
{
	body.m_ownerWorld = m_dynamicsWorld;

	btTransform offset; offset.setIdentity();
	offset.setOrigin(startOffset);

	btTransform transform; transform.setIdentity();
	transform.setOrigin( btVector3(0.0f, 0.10f, 0.0f) );

	body.addBodyPart_Box((void*)this, (float)settings->getCVar("pill_size")/600, (float)settings->getCVar("pill_size")/200, (float)settings->getCVar("pill_size")/400, 1.0f, offset, transform);

	myMotionState = (btDefaultMotionState*)body.bodyparts[0]->body->getMotionState();
	boxShape = static_cast<btBoxShape*>(body.bodyparts[0]->shape);
	halfExtent = boxShape->getHalfExtentsWithMargin();
}

Pill::~Pill()
{
}


